Bug 14671 - Allow correct translation of CAS authentication
Summary: Allow correct translation of CAS authentication
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-11 08:16 UTC by Fridolin SOMERS
Modified: 2016-06-21 21:38 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14671 - Allow correct translation of CAS authentication (4.17 KB, patch)
2015-08-11 08:36 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14671 - Allow correct translation of CAS authentication (4.30 KB, patch)
2015-10-01 17:37 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 14671 - Allow correct translation of CAS authentication (4.35 KB, patch)
2015-10-01 20:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2015-08-11 08:16:57 UTC
In authentication pages with CAS, the use of acronym or abbr tags does not allow a correct translation of the text.
See http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=5983#c7

It does not help a lot end users to know that CAS is Central Authentication Service, I think. Now one can custom the login page with NoLoginInstructions syspref to describe how to use the authentication.
Comment 1 Fridolin SOMERS 2015-08-11 08:36:22 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-10-01 17:37:13 UTC Comment hidden (obsolete)
Comment 3 Héctor Eduardo Castro Avalos 2015-10-01 17:39:14 UTC
Hi Fridolin.

Just one question, how the users will know the meaning of the acronym?
Comment 4 Katrin Fischer 2015-10-01 20:35:42 UTC
Created attachment 43029 [details] [review]
[PASSED QA] Bug 14671 - Allow correct translation of CAS authentication

In authentication pages with CAS, the use of acronym or abbr tags does not allow a correct translation of the text.
See http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=5983#c7

It does not help a lot end users to know that CAS is Central Authentication Service, I think. Now one can custom the login page with NoLoginInstructions syspref to describe how to use the authentication.

This patch removes the use of acronym and abbr is authentication pages.

Test plan (example with fr-FR locale) :
- Without patch
- Update translation files : cd misc/translator ; perl translate update fr-FR
- You see in fr-FR-opac-bootstrap.po : msgid "If you have a "
- Is is translated in : msgstr "Si vous avez un compte "
- Apply patch
- Update translation files : cd misc/translator ; perl translate update fr-FR
- You see in fr-FR-opac-bootstrap.po : msgid "If you have a CAS account, %s please "
- You can now translate it : msgstr "Si vous avez un compte CAS, %s veuillez "
- Same test for intranet authentication page
- Install the translation : cd misc/translator ; perl translate install fr-FR
- Look at the result

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. Tranlated OK, tested in spanish es-ES

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Fridolin SOMERS 2015-10-02 07:14:13 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #3)
> Hi Fridolin.
> 
> Just one question, how the users will know the meaning of the acronym?

I think today people are used to search on internet.
And library can customise this login page to explain which authentication to choose.
Comment 6 Tomás Cohen Arazi 2015-10-02 18:28:27 UTC
Patch pushed to master.

Thanks Frido!
Comment 7 Sophie MEYNIEUX 2015-10-19 08:54:08 UTC
Would it be possible to have it in 3.20 and 3.18 ? Thanks
Comment 8 Chris Cormack 2015-11-08 20:35:42 UTC
Pushed to 3.20.x will be in 3.20.6